package cn.iocoder.yudao.module.appBase.entity;

import cn.iocoder.yudao.annotation.Excel;
import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 app_swiper
 *
 * @author ruoyi
 * @date 2023-08-01
 */
public class AppSwiper extends TenantBaseDO
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long swiperId;

    /** 板块名称 */
    @Excel(name = "板块名称")
    private String moudleName;

    /** 轮播图名称 */
    @Excel(name = "轮播图名称")
    private String swiperName;

    /** 轮播图照片 */
    @Excel(name = "轮播图照片")
    private String swiperPicture;

    /** 跳转地址 */
    @Excel(name = "跳转地址")
    private String jumpUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Integer listOrder;

    public void setSwiperId(Long swiperId)
    {
        this.swiperId = swiperId;
    }

    public Long getSwiperId()
    {
        return swiperId;
    }
    public void setMoudleName(String moudleName)
    {
        this.moudleName = moudleName;
    }

    public String getMoudleName()
    {
        return moudleName;
    }
    public void setSwiperName(String swiperName)
    {
        this.swiperName = swiperName;
    }

    public String getSwiperName()
    {
        return swiperName;
    }
    public void setSwiperPicture(String swiperPicture)
    {
        this.swiperPicture = swiperPicture;
    }

    public String getSwiperPicture()
    {
        return swiperPicture;
    }
    public void setJumpUrl(String jumpUrl)
    {
        this.jumpUrl = jumpUrl;
    }

    public String getJumpUrl()
    {
        return jumpUrl;
    }
    public void setListOrder(Integer listOrder)
    {
        this.listOrder = listOrder;
    }

    public Integer getListOrder()
    {
        return listOrder;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("swiperId", getSwiperId())
            .append("moudleName", getMoudleName())
            .append("swiperName", getSwiperName())
            .append("swiperPicture", getSwiperPicture())
            .append("jumpUrl", getJumpUrl())
            .append("listOrder", getListOrder())
            .toString();
    }
}
